import logging

from gui.main_ui import Application
from plat.deepcoin_control import DeepCoinControl
from plat.settings_control import SettingsControl

logging.basicConfig(level=logging.INFO, force=True)  # 设置日志级别

if __name__ == "__main__":
    settings = SettingsControl('设置')
    app = Application(
        controls={
            SettingsControl.__name__: settings,
            'deepCoin': DeepCoinControl('DeepCoin', settings)
        }
        # controls=[
        #     adb
        #     ,
        #     DeepCoinControl('DeepCoin', adb)
        # ]
    )
    app.mainloop()
